import { world } from '@minecraft/server';

world.afterEvents.blockExplode.subscribe((event) => {
    const droppedItem = event.dimension.getEntitiesAtBlockLocation(event.block.location).filter(e => e.typeId == "minecraft:item")[0]
    if (droppedItem) droppedItem.remove()

    event.block.setPermutation(event.explodedBlockPermutation)
    const { x, y, z } = event.block.location

    event.dimension.runCommand(`setblock ${x} ${y} ${z} air destroy`)
})